> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Beneficiary ID

> Use this API to get the beneficiary ID by providing the bank account number and ifsc.



## OpenAPI

````yaml get /payout/v1/getBeneId
openapi: 3.0.0
info:
  title: Payouts
  version: 3.0.0
servers:
  - url: https://payout-api.cashfree.com
    description: Production
  - url: https://payout-gamma.cashfree.com
    description: Sandbox
security:
  - {}
paths:
  /payout/v1/getBeneId:
    get:
      summary: Get Beneficiary ID
      description: >-
        Use this API to get the beneficiary ID by providing the bank account
        number and ifsc.
      operationId: getbeneficiary-id
      parameters:
        - name: Authorization
          in: header
          description: Bearer auth token
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          description: application/json
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: bankAccount
          in: query
          description: >-
            Beneficiaries bank account number, alphanumeric ( >=6 and <= 40
            characters).
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: ifsc
          in: query
          description: >-
            Beneficiaries bank's IFSC code (standard IFSC format) - length 11,
            first four IFSC and 5th character must be 0.
          required: false
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_3'
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_403'
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_404_1'
      deprecated: false
      security: []
components:
  schemas:
    inline_response_200_3:
      type: object
      properties:
        status:
          type: string
          example: SUCCESS
        subCode:
          type: string
          example: '200'
        message:
          type: string
          example: beneId retrieved successfully
        data:
          $ref: '#/components/schemas/inline_response_200_3_data'
    inline_response_403:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '403'
        message:
          type: string
          example: >-
            APIs not enabled. Please fill out the [Support
            Form](https://merchant.cashfree.com/merchants/landing?env=prod&raise_issue=1)
    inline_response_404_1:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '404'
        message:
          type: string
          example: Beneficiary not found with given bank account details
    inline_response_200_3_data:
      type: object
      properties:
        beneId:
          type: string
          example: JOHN18011

````